<mat-card-header>
  <mat-card-title style="margin-left: -14px">Order</mat-card-title>
</mat-card-header>
<form class="c-app-new-project-form example-form" [formGroup]="formGroup" (ngSubmit)="submit()">
  <mat-form-field style="margin-right: 8px">
    <input matInput placeholder="ID" formControlName="id" disabled/>
  </mat-form-field>
  <mat-form-field style="margin-right: 8px">
    <input matInput type="text" placeholder="Employee Id" formControlName="employeeId" required
           [matAutocomplete]="autoEmployee"/>
    <mat-error *ngIf="formGroup.controls.employeeId.errors?.required">Required</mat-error>
    <mat-autocomplete #autoEmployee="matAutocomplete">
      <mat-option *ngFor="let employee of employee$ | async" [value]="employee.id">
        {{employee.name}}
      </mat-option>
    </mat-autocomplete>
  </mat-form-field>
  <mat-form-field style="margin-right: 8px">
    <mat-label>Product Ids</mat-label>
    <mat-select formControlName="productIds" multiple>
      <mat-option *ngFor="let product of product$ | async" [value]="product.id">{{product.name}}</mat-option>
    </mat-select>
  </mat-form-field>
  <div>
    <button mat-raised-button color="primary" type="ngSubmit" class="c-app-new-project-form__button">Submit
    </button>
  </div>
</form>
